commit:     61dea170ad03ab4db01a2a5764ec14b71454c28e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 17 14:05:15 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jul 17 15:24:06 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61dea170

app-containers/earthly: bump to 0.8.16

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/earthly/Manifest              |  1 +
 app-containers/earthly/earthly-0.8.16.ebuild | 71 ++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/app-containers/earthly/Manifest b/app-containers/earthly/Manifest
index c7c361bef9d7..885785f11ed8 100644
--- a/app-containers/earthly/Manifest
+++ b/app-containers/earthly/Manifest
@@ -1,2 +1,3 @@
 DIST earthly-0.8.15-deps.tar.xz 163782812 BLAKE2B 
09a9cb196206e787a48c2c2082a066a31c0bd8dba8785e379bfb86ac56ccf4f8eb34195c8577b866bc1153657008e4fae142eb7a6e21d2791fe92e9cdfa76e2d
 SHA512 
65afc0bd89b6a54bb3e4cc4d7f39522eddbb79266b25afb33ffc3c6571b57952bc2ceafe00ce196098d1c4185ab2672f8a80d9ecd4d6d07dc06a18ba39da3941
 DIST earthly-0.8.15.tar.gz 8102499 BLAKE2B 
92793722206ab8c2d5bb097f7da40392d1ed1f3399797bc217dab7fcc0f305cc91f5e9f8b997b6e5e187f25c0f1109d8aba2294fb79d4b3f26d6660d36827d5c
 SHA512 
0d98f716a2e2a6cb522abb42894f6356c12ac2e398382207db08d204dc951f65c7be04be7473e060c30a052768c4b2b7e9273d206b4252fec26975e6e166ae2a
+DIST earthly-0.8.16.gh.tar.gz 8264195 BLAKE2B 
595fe686fdd8d56ea32909f7d8c8417b234ab65a16d42a4bf30f367a87363e3c61d2e555b99444c42eea3e5ae8b1bca2198ff5c4954ee5319776507ac099d77a
 SHA512 
bb27e941f1afb12c4c6808ff11d18f1a784899d7904070ae8f7110a2e53b9e9a70b28f7ade687a864a46a8043f144862601e89fdd7e72f9ba3d1c3532cc66049

diff --git a/app-containers/earthly/earthly-0.8.16.ebuild 
b/app-containers/earthly/earthly-0.8.16.ebuild
new file mode 100644
index 000000000000..7a62172fc841
--- /dev/null
+++ b/app-containers/earthly/earthly-0.8.16.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Git commit SHA is needed at runtime by earthly to pull and bootstrap images.
+if [[ "${PV}" == "0.8.16" ]] ; then
+       COMMIT_SHA="c48905267920d5599e849e8e043f801c6baab94a"
+else
+       die 'Could not detect "COMMIT_SHA", please update the ebuild.'
+fi
+
+inherit go-module
+
+DESCRIPTION="Build automation tool that executes in containers"
+HOMEPAGE="https://earthly.dev/
+       https://github.com/earthly/earthly/";
+SRC_URI="
+       https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       https://dev.gentoo.org/~xgqt/distfiles/deps/${PN}-0.8.15-deps.tar.xz
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       || (
+               app-containers/docker
+               app-containers/podman
+       )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+src_compile() {
+       local -r 
go_tags="dfrunmount,dfrunsecurity,dfsecrets,dfssh,dfrunnetwork,dfheredoc,forceposix"
+       local -r go_ldflags="
+               -X main.DefaultBuildkitdImage=docker.io/earthly/buildkitd:v${PV}
+               -X main.GitSha=${COMMIT_SHA}
+               -X main.Version=v${PV}
+       "
+       local -a -r go_buildargs=(
+               -tags "${go_tags}"
+               -ldflags "${go_ldflags}"
+               -o ./bin/
+       )
+       ego build "${go_buildargs[@]}" ./cmd/...
+}
+
+src_install() {
+       exeinto /usr/bin
+       doexe bin/earthly
+       newexe bin/debugger earthly-debugger
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       if has_version "app-containers/podman" ; then
+               ewarn "Podman is supported but not recommended."
+               ewarn "If issues arise, then please try running earthly with 
docker."
+       fi
+
+       if has_version "app-containers/podman[rootless]" ; then
+               ewarn "Running podman in rootless mode is not supported because"
+               ewarn "earthly/dind and earthly/buildkit require privileged 
access."
+               ewarn "For more info see: 
https://docs.earthly.dev/docs/guides/podman/";
+       fi
+}

Reply via email to